Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

cross mob

Running ModusToolbox™ version 2.4 on Ubuntu 22.04 - KBA236230

Running ModusToolbox™ version 2.4 on Ubuntu 22.04 - KBA236230

IFX_Publisher1
Community Manager
Community Manager
Community Manager
250 sign-ins First comment on KBA 250 replies posted

Version: **

Question: How do I run ModusToolbox™ version 2.4 on Ubuntu 22.04? I am seeing this error:

error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No such file or directory.

 

Answer: Ubuntu 18.04 and 20.04 are supported on ModusToolbox 2.4, but for Ubuntu 22.04, the default `libssl` version is newer than the version used by the ModusToolbox™ tools.

The best solution to this problem is to create symbolic links libssl.so.1.1 and libcrypto.so.1.1 that point to libssl.so and libcrypto.so, respectively:

cd ~/ModusToolbox/tools_2.4

ln -sf libssl.so project-creator/lib/libssl.so.1.1

ln -sf libcrypto.so project-creator/lib/libcrypto.so.1.1

ln -sf libssl.so library-manager/lib/libssl.so.1.1

ln -sf libcrypto.so library-manager/lib/libcrypto.so.1.1

This issue has been addressed in ModusToolbox™ version 3.x.

 

0 Likes
166 Views